/v1/mgmt/thirdparty/consents/delete/tenantAuthorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Delete all OAuth user consents for an Inbound App within a tenant. Provide tenantId and optional appId or consentIds.
curl -X POST "https://api.descope.com/v1/mgmt/thirdparty/consents/delete/tenant" \ -H "Content-Type: application/json" \ -d '{}'{}export interface Response {}Delete third party application consents POST
Delete OAuth user consents for [Inbound Apps](/identity-federation/inbound-apps). Provide `consentIds`, or filter by `appId`, `userIds`, and optional `tenantId`. To revoke [agentic identities](/agentic-identity-hub/core-components/agents), use [Revoke agentic identities](/api/management/agentic-identity-hub/revoke-agentic-identities) instead — it scopes deletion to agentic consents and supports `clientId` and `resourceId` filters.
Delete third party application POST
Delete a third party application, using a valid management key.